VirtualBox Main API

Public Member Functions | Public Attributes | List of all members
IExtPackBase Interface Reference

Interface for querying information about an extension pack as well as accessing COM objects within it. More...

Inheritance diagram for IExtPackBase:

## Public Member Functions
void | queryLicense (in wstring preferredLocale, in wstring preferredLanguage, in wstring format, [retval] out wstring licenseText)
| Full feature version of the license attribute.

## Public Attributes
readonly attribute wstring | name
| The extension pack name.
readonly attribute wstring | description
| The extension pack description.
readonly attribute wstring | version
| The extension pack version string.
readonly attribute unsigned long | revision
| The extension pack internal revision number.
readonly attribute wstring | edition
| Edition indicator.
readonly attribute wstring | VRDEModule
| The name of the VRDE module if the extension pack sports one.
readonly attribute wstring | CryptoModule
| The name of the crypto module if the extension pack sports one.
readonly attribute IExtPackPlugIn[] | plugIns
| Plug-ins provided by this extension pack.
readonly attribute boolean | usable
| Indicates whether the extension pack is usable or not.
readonly attribute wstring | whyUnusable
| String indicating why the extension pack is not usable.
readonly attribute boolean | showLicense
| Whether to show the license before installation.
readonly attribute wstring | license
| The default HTML license text for the extension pack.

## Detailed Description

Interface for querying information about an extension pack as well as accessing COM objects within it.

Interface ID:
  `{AA204A12-5B29-45A5-B5D6-C2BAFCDB9B0B}`

## Member Function Documentation

## ◆ queryLicense()

void IExtPackBase::queryLicense | ( | in wstring | preferredLocale,
|  | in wstring | preferredLanguage,
|  | in wstring | format,
|  | [retval] out wstring | licenseText
| ) |  |

Full feature version of the license attribute.

Parameters

  preferredLocale | The preferred license locale. Pass an empty string to get the default license.
  preferredLanguage | The preferred license language. Pass an empty string to get the default language for the locale.
  format | The license format: html, rtf or txt. If a license is present there will always be an HTML of it, the rich text format (RTF) and plain text (txt) versions are optional. If
  licenseText | The license text.

## Member Data Documentation

## ◆ name

readonly attribute wstring IExtPackBase::name

The extension pack name.

This is unique.

## ◆ description

readonly attribute wstring IExtPackBase::description

The extension pack description.

## ◆ version

readonly attribute wstring IExtPackBase::version

The extension pack version string.

This is restricted to the dotted version number and optionally a build indicator. No tree revision or tag will be included in the string as those things are available as separate properties. An optional publisher tag may be present like for IVirtualBox::version.

Examples: "1.2.3", "1.2.3_BETA1" and "1.2.3_RC2".

## ◆ revision

readonly attribute unsigned long IExtPackBase::revision

The extension pack internal revision number.

## ◆ edition

readonly attribute wstring IExtPackBase::edition

Edition indicator.

This is usually empty.

Can for instance be used to help distinguishing between two editions of the same extension pack where only the license, service contract or something differs.

## ◆ VRDEModule

readonly attribute wstring IExtPackBase::VRDEModule

The name of the VRDE module if the extension pack sports one.

## ◆ CryptoModule

readonly attribute wstring IExtPackBase::CryptoModule

The name of the crypto module if the extension pack sports one.

This module is required for full VM encryption.

## ◆ plugIns

readonly attribute IExtPackPlugIn [] IExtPackBase::plugIns

Plug-ins provided by this extension pack.

## ◆ usable

readonly attribute boolean IExtPackBase::usable

Indicates whether the extension pack is usable or not.

There are a number of reasons why an extension pack might be unusable, typical examples would be broken installation/file or that it is incompatible with the current VirtualBox version.

## ◆ whyUnusable

readonly attribute wstring IExtPackBase::whyUnusable

String indicating why the extension pack is not usable.

This is an empty string if usable and always a non-empty string if not usable.

## ◆ showLicense

readonly attribute boolean IExtPackBase::showLicense

Whether to show the license before installation.

## ◆ license

readonly attribute wstring IExtPackBase::license

The default HTML license text for the extension pack.

Same as calling queryLicense with preferredLocale and preferredLanguage as empty strings and format set to html.